
function DOMReady(func){
	// Dean Edwards/Matthias Miller/John Resig
	function init(){
		// quit if this function has already been called
		if(arguments.callee.done) return;

		// flag this function so we don't do the same thing twice
		arguments.callee.done = true;

		// kill the timer
		if(_timer) clearInterval(_timer);

		// do stuff
		return func();
	};

	/* for Mozilla/Opera9 */
	if(document.addEventListener){
		document.addEventListener("DOMContentLoaded", init, false);
	}

	/* for Internet Explorer */
	/*@cc_on @*/
	/*@if(@_win32)
		document.write("<script id=__ie_onload defer src=javascript:void(0)><\/script>");
		var script = document.getElementById("__ie_onload");
		script.onreadystatechange = function(){
			if(this.readyState == "complete"){
				init(); // call the onload handler
			}
		};
	/*@end @*/

	/* for Safari */
	if(/WebKit/i.test(navigator.userAgent)){ // sniff
		var _timer = setInterval(function(){
			if(/loaded|complete/.test(document.readyState)){
				init(); // call the onload handler
			}
		}, 10);
	}

	/* for other browsers */
	window.onload = init;
}

function insertAfter(newElement, targetElement){
	var parent = targetElement.parentNode;
	if(parent.lastChild == targetElement){
		parent.appendChild(newElement);
	}else{
		parent.insertBefore(newElement, targetElement.nextSibling);
	}
}
function creatwpcpd(){

	var innerHTML = '';

	var wpcpd = null, flag = false;
	
	for(var i=1; i<3; i++){
		wpcpd = document.getElementById('wp-paged-comments-'+i);
		if(wpcpd != null){
			wpcpd.innerHTML = innerHTML;
			wpcpd.style.display = 'block';
			flag = true;
		}
	}

	if(flag == true)
		return true;

	var wpcpdli = document.getElementById('comment-');
	if(wpcpdli == null){
		return false;
	}
	var wpcpdliparent = wpcpdli.parentNode;
	var wpcpdlst = document.createElement("div");
	if(wpcpdlst == null){
		return false;
	}

	wpcpdlst.id = "wp-paged-comments-2";
	wpcpdlst.className = "wp-paged-comments";
	wpcpdlst.innerHTML = innerHTML;

	if(wpcpdliparent.lastChild == wpcpdli || (wpcpdliparent.lastChild.nodeName == "#text" && wpcpdliparent.lastChild.previousSibling == wpcpdli)){
		insertAfter(wpcpdlst,wpcpdliparent);
	}else{
		insertAfter(wpcpdlst,wpcpdli);
	}

	wpcpdli = document.getElementById('comment-');
	if(wpcpdli == null){
		return false;
	}
	var wpcpdliparent = wpcpdli.parentNode;
	var wpcpdfst = wpcpdlst.cloneNode(true)
	if(wpcpdfst == null){
		return false;
	}

	wpcpdfst.id = "wp-paged-comments-1";

	if(wpcpdliparent.firstChild == wpcpdli || (wpcpdliparent.firstChild.nodeName == "#text" && wpcpdliparent.firstChild.nextSibling == wpcpdli)){
		wpcpdliparent.parentNode.insertBefore(wpcpdfst,wpcpdliparent);
	}else{
		wpcpdliparent.insertBefore(wpcpdfst,wpcpdli);
	}

	return true;
}
DOMReady(creatwpcpd);

